Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifictiesSelectionChart.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifictiesSelectionChart.java	(revision 862)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifictiesSelectionChart.java	(revision 863)
@@ -13,6 +13,8 @@
 import org.txm.specificities.core.functions.SpecificitiesSelection;
 import org.txm.specificities.rcp.editors.SpecificitiesEditor;
 
+
+
 /**
  * Computes a specificities chart from a selection of lines of a specificities result table.
  * 
Index: tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/ComputeInternalView.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/ComputeInternalView.java	(revision 862)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/ComputeInternalView.java	(revision 863)
@@ -10,11 +10,12 @@
 import org.txm.searchengine.cqp.corpus.Corpus;
 
 /**
- * Computes an internal view and opens an editor.
+ * Opens an internal view editor.
+ * Computes the result if it contains all required parameters.
  * 
  * @author mdecorde
  * @author sjacquot
- *
+ * 
  */
 public class ComputeInternalView extends BaseAbstractHandler {
 
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeIndex.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeIndex.java	(revision 862)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeIndex.java	(revision 863)
@@ -38,10 +38,12 @@
 import org.txm.searchengine.cqp.corpus.Partition;
 
 /**
- * Computes an index and opens an editor.
+ * Opens a Index editor.
+ * Computes the result if it contains all required parameters.
  * 
  * @author mdecorde
  * @author sjacquot
+ * 
  */
 public class ComputeIndex extends BaseAbstractHandler {
 
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeLexicon.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeLexicon.java	(revision 862)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeLexicon.java	(revision 863)
@@ -13,11 +13,14 @@
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.query.Query;
 
+
 /**
- * Computes a Lexicon, uses it to create an Index (object), then opens it in the DictionnaryEditor.
+ * Opens a Lexicon editor.
+ * Computes the result if it contains all required parameters.
  * 
  * @author mdecorde
  * @author sjacquot
+ * 
  */
 public class ComputeLexicon extends BaseAbstractHandler {
 	
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java	(revision 862)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java	(revision 863)
@@ -37,23 +37,22 @@
 import org.txm.cooccurrence.core.preferences.CooccurrencePreferences;
 import org.txm.cooccurrence.rcp.editors.CooccurrencesEditor;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.progression.core.functions.Progression;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.searchengine.cqp.corpus.Corpus;
-import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
 import org.txm.searchengine.cqp.corpus.WordProperty;
 import org.txm.searchengine.cqp.corpus.query.Query;
 import org.txm.utils.logger.Log;
 
 /**
- * If the selection is a corpus, opens an empty Cooc editor, if the selection is
- * a concordance, opens a Cooc editor already computed.
+ * Opens a Cooccurrence editor.
+ * Computes the result if it contains all required parameters.
  * 
  * @author mdecorde
+ * @author sjacquot
  * 
  */
 public class ComputeCooccurrences extends BaseAbstractHandler {
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 862)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 863)
@@ -40,9 +40,11 @@
 
 /**
  * Opens a Progression editor.
+ * Computes the result if it contains all required parameters.
  * 
  * @author mdecorde
  * @author sjacquot
+ * 
  */
 public class ComputeProgression extends BaseAbstractHandler {
 	
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java	(revision 862)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java	(revision 863)
@@ -40,7 +40,7 @@
 
 /**
  * Opens a Concordance editor.
- * Computes the result according to its parameters.
+ * Computes the result if it contains all required parameters.
  * 
  * @author mdecorde
  * @author sjacquot
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 862)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 863)
@@ -52,11 +52,12 @@
 import org.txm.utils.logger.MessageBox;
 
 /**
- * If the selection is a lexical table: opens the CA,
- * if the selection is a partition: asks the user which property used and which threshold used then opens an editor
+ * Opens a CA editor.
+ * Computes the result if it contains all required parameters.
  * 
  * @author mdecorde
  * @author sjacquot
+ * 
  */
 public class ComputeCA extends BaseAbstractHandler {
 
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java	(revision 862)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java	(revision 863)
@@ -56,9 +56,12 @@
 import org.txm.utils.logger.Log;
 
 /**
- * if the selection is a Partition : creates a lexical table already filled if
- * the selection is a index : creates a lexical table with the Index
- * entries @ author mdecorde.
+ * Opens a lexical table editor.
+ * Computes the result if it contains all required parameters.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ * 
  */
 public class ComputeLexicalTable extends BaseAbstractHandler {
 
Index: tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/handlers/ComputeAHC.java
===================================================================
--- tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/handlers/ComputeAHC.java	(revision 862)
+++ tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/handlers/ComputeAHC.java	(revision 863)
@@ -29,52 +29,34 @@
 
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
-import org.eclipse.jface.dialogs.Dialog;
 import org.eclipse.jface.window.Window;
-import org.eclipse.swt.SWT;
-import org.eclipse.swt.layout.GridLayout;
-import org.eclipse.swt.widgets.Button;
-import org.eclipse.swt.widgets.Composite;
-import org.eclipse.swt.widgets.Control;
 import org.eclipse.swt.widgets.Display;
-import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Shell;
-import org.eclipse.swt.widgets.Spinner;
-import org.txm.ca.core.functions.CA;
-import org.txm.ca.core.preferences.CAPreferences;
 import org.txm.ahc.core.functions.AHC;
-import org.txm.ahc.core.messages.AHCCoreMessages;
-import org.txm.ahc.core.preferences.AHCPreferences;
 import org.txm.ahc.rcp.messages.AHCUIMessages;
+import org.txm.ca.core.functions.CA;
+import org.txm.ca.core.preferences.CAPreferences;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.lexicaltable.core.functions.LexicalTable;
 import org.txm.lexicaltable.rcp.editors.LexicalTableDialog;
 import org.txm.rcp.handlers.BaseAbstractHandler;
-import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.statsengine.core.StatException;
 import org.txm.utils.logger.Log;
 
 /**
- * If the selection is a CA or a Lexical Table result computes the CAH.
- *
+ * Opens a Cooccurrence editor.
+ * Computes the result if it contains all required parameters.
+ * 
  * @author mdecorde
  * @author sjacquot
+ * 
  */
 public class ComputeAHC extends BaseAbstractHandler {
 
 
-	// adds a double click listener to the Corpus View
-//	static	{
-//		CorporaView.addDoubleClickListener(AHC.class, ComputeAHC.class);
-//	}
-	
-
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
-	 */
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 
@@ -140,183 +122,8 @@
 		}
 
 		ChartEditor.openEditor(ahc);
-
-
 		return null;
 	}
 
 
-
-
-	/**
-	 * The Class CAHParamDialog.
-	 */
-	// FIXME: not used?
-	public class CAHParamDialog extends Dialog {
-
-		//protected Combo methodsCombo;
-		//protected Combo metricsCombo;
-		/** The ncluster spinner. */
-		protected Spinner nclusterSpinner;
-
-		/** The docolumns button. */
-		protected Button docolumnsButton;
-
-		/** The title. */
-		protected String title;
-
-		/**
-		 * Instantiates a new cAH param dialog.
-		 *
-		 * @param parentShell the parent shell
-		 */
-		public CAHParamDialog(Shell parentShell) {
-			super(parentShell);
-			this.title = AHCCoreMessages.RESULT_TYPE;
-		}
-
-		/* (non-Javadoc)
-		 * @see org.eclipse.jface.window.Window#configureShell(org.eclipse.swt.widgets.Shell)
-		 */
-		@Override
-		protected void configureShell(Shell newShell) {
-			super.configureShell(newShell);
-
-			if (title != null)
-				newShell.setText(title);
-			else
-				newShell.setText(AHCCoreMessages.RESULT_TYPE);
-		}
-
-		/** The composite. */
-		protected Composite composite;
-
-		/** The method. */
-		private String method;
-
-		/** The metric. */
-		private String metric;
-
-		/** The Ncluster. */
-		private int Ncluster;
-
-		/** The doculumns. */
-		private boolean doculumns;
-
-		/* (non-Javadoc)
-		 * @see org.eclipse.jface.dialogs.Dialog#createDialogArea(org.eclipse.swt.widgets.Composite)
-		 */
-		@Override
-		protected Control createDialogArea(Composite parent) {
-			composite = new Composite(parent, SWT.NONE);
-			GridLayout layout = new GridLayout(2, false);
-			composite.setLayout(layout);
-
-			// N CLUSTERS
-			Label label = new Label(composite, SWT.NONE);
-			label.setText(AHCUIMessages.CAHPreferencePage_2);
-
-			nclusterSpinner = new Spinner(composite, SWT.BORDER);
-			nclusterSpinner.setMinimum(2);
-			nclusterSpinner.setIncrement(1);
-			nclusterSpinner.setSelection(TXMPreferences.getInt(AHCPreferences.N_CLUSTERS, AHCPreferences.PREFERENCES_NODE));
-			nclusterSpinner.setMaximum(50);
-
-			// ROWS OR COLS
-			docolumnsButton = new Button(composite, SWT.RADIO);
-			docolumnsButton.setText(AHCUIMessages.COMPUTE_COLUMNS);
-			docolumnsButton.setSelection(true);
-
-			Button dorowsButton = new Button(composite, SWT.RADIO);
-			dorowsButton.setText(AHCUIMessages.COMPUTE_ROWS);
-
-			/*
-			// METHODS
-			Label methodLabel = new Label(composite, SWT.NONE);
-			methodLabel.setText("Methods");
-
-			methodLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
-					false, false));
-
-			methodsCombo = new Combo(composite, SWT.READ_ONLY);
-			methodsCombo.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
-					true, false));
-			methodsCombo.select(methodsCombo.indexOf(CAH.getDefaultMethod()));
-			for(String method : CAH.getMethods())
-				methodsCombo.add(method);
-
-			// METRICS
-			Label metricsLabel = new Label(composite, SWT.NONE);
-			metricsLabel.setText("Methods");
-
-			metricsLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
-					false, false));
-
-			metricsCombo = new Combo(composite, SWT.READ_ONLY);
-			metricsCombo.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
-					true, false));
-			metricsCombo.select(metricsCombo.indexOf(CAH.getDefaultMetric()));
-			for(String method : CAH.getMetrics())
-				metricsCombo.add(method);
-				*/
-
-			return composite;
-		}
-
-		/* (non-Javadoc)
-		 * @see org.eclipse.jface.dialogs.Dialog#okPressed()
-		 */
-		@Override
-		protected void okPressed() {
-			/*int idx = methodsCombo.getSelectionIndex();
-			method = methodsCombo.getItem(idx);
-
-			idx = metricsCombo.getSelectionIndex();
-			metric = metricsCombo.getItem(idx);
-*/
-			Ncluster = this.nclusterSpinner.getSelection();
-
-			doculumns = this.docolumnsButton.getSelection();
-
-			super.okPressed();
-		}
-
-		/**
-		 * Gets the method.
-		 *
-		 * @return the method
-		 */
-		public String getMethod() {
-			return method;
-		}
-
-		/**
-		 * Gets the metric.
-		 *
-		 * @return the metric
-		 */
-		public String getMetric() {
-			return metric;
-		}
-
-		/**
-		 * Gets the ncluster.
-		 *
-		 * @return the ncluster
-		 */
-		public int getNcluster() {
-			return Ncluster;
-		}
-
-		/**
-		 * Checks if is doculumns.
-		 *
-		 * @return true, if is doculumns
-		 */
-		public boolean isDoculumns() {
-			return doculumns;
-		}
-	}
-
-
 }
